System
Remove the operator's entitlement grant
DELETE /v1/system/organizations/{organizationId}/entitlements · SDK clearSystemOrganizationEntitlements · CLI deployments system clear-entitlements
DELETE
Requires platform:admin. A machine service whose principal holds organization-entitlements calls it with SigV4 at /v1/system/services/organizations/{organizationId}/entitlements.
tenantJwtheader
AuthorizationBearer <token>Tenant JWT carrying organization, project, and environment claims.
organizationId*stringOrganization whose standing to read or change.
Match
^[0-7][0-9A-HJKMNP-TV-Z]{25}$SystemOrganizationStandingChangeResponse
application/json- response
changed*booleanfalse when the standing already matched the request, so nothing was written.
standing*curl -X DELETE "https://example.com/v1/system/organizations/string/entitlements"{ "changed": true, "standing": { "dataBoundary": { "operatorNote": "string", "profile": "phi", "setAt": "2019-08-24T14:15:22Z", "setBy": { "kind": "operator", "principalId": "string" } }, "defaults": { "features": { "scim": true, "sso": true }, "operatorFundedModelSpendCeiling": "unlimited", "tenantLimits": { "activeSandboxes": 256, "apiRequestBurst": 1000, "apiRequestsPerSecond": 500, "concurrentRuns": 256 } }, "effective": { "features": { "scim": true, "sso": true }, "operatorFundedModelSpendCeiling": "unlimited", "tenantLimits": { "activeSandboxes": 256, "apiRequestBurst": 1000, "apiRequestsPerSecond": 500, "concurrentRuns": 256 } }, "egressAllowlist": [ { "note": "string", "origin": "string" } ], "grants": { "operator": { "entitlements": { "features": { "scim": true, "sso": true }, "operatorFundedModelSpendCeiling": "unlimited", "tenantLimits": { "activeSandboxes": 256, "apiRequestBurst": 1000, "apiRequestsPerSecond": 500, "concurrentRuns": 256 } }, "grantedAt": "2019-08-24T14:15:22Z", "grantedBy": { "kind": "operator", "principalId": "string" } }, "service": { "entitlements": { "features": { "scim": true, "sso": true }, "operatorFundedModelSpendCeiling": "unlimited", "tenantLimits": { "activeSandboxes": 256, "apiRequestBurst": 1000, "apiRequestsPerSecond": 500, "concurrentRuns": 256 } }, "grantedAt": "2019-08-24T14:15:22Z", "grantedBy": { "kind": "service", "service": "string" } } }, "holds": [ { "customerMessage": "string", "key": "string", "operatorNote": "string", "placedAt": "2019-08-24T14:15:22Z", "placedBy": { "kind": "operator", "principalId": "string" }, "reason": "payment", "source": "string" } ], "organizationId": "string", "state": "active", "suspendedAt": "2019-08-24T14:15:22Z", "version": 0 }}